
case $? in 0) :;; *) (exit "$?");; esac &&
if (prj_which readlink_path readlink) 2> /dev/null; then
  :
elif (exec perl -e '') > /dev/null 2>&1; then
  readlink() { perl -le 'print(readlink($ARGV[0]) or die($!."\n"))' "${1?}"; }
elif (exec python -c '') > /dev/null 2>&1; then
  readlink() {
    python -c 'import sys, os; print os.readlink(sys.argv[1])' "${1?}"
  }
elif (exec guile -c '') > /dev/null 2>&1; then
  readlink() {
    guile -c '(format #t "~A\n" (readlink (cadr (program-arguments))))' "${1?}"
  }
else
  readlink() {
    echo "${prj_program-readlink}: unable to find a readlink program" >&2
    return 100
  }
fi
